## com.google.code.AccountsSSO.SingleSignOn.AuthService

com.google.code.AccountsSSO.SingleSignOn.AuthService — Manages Signon identities.

## Methods

    registerNewIdentity      (OUT o      objectPath);
    getIdentity              (IN  u      id,
                              OUT o      objectPath,
                              OUT a{sv}  identityData);
    getAuthSessionObjectPath (IN  u      id,
                              IN  s      type,
                              OUT s      path);
    queryMethods             (OUT as     methods);
    queryMechanisms          (IN  s      method,
                              OUT as     mechanisms);
    queryIdentities          (IN  a{sv}  filter,
                              OUT aa{sv} identities);
    clear                    (OUT b      success);
    backupStarts             (OUT y      unnamed_arg0);
    backupFinished           (OUT y      unnamed_arg0);
    restoreStarts            (OUT y      unnamed_arg0);
    restoreFinished          (OUT y      unnamed_arg0);

## Description

The signond D-Bus APIs are unstable, subject to change and should not be used by client applications, which should use libsignon-glib or libsignon-qt instead.

Query information on available authentication methods and mechanisms, as well as create identities and authentication sessions.

## Method Details

### The registerNewIdentity() method

    registerNewIdentity (OUT o objectPath);

Create a new (empty) Identity in the Signon database.

`OUT o `objectPath``: | the D-Bus object path of the new Identity

### The getIdentity() method

    getIdentity (IN  u     id,
                 OUT o     objectPath,
                 OUT a{sv} identityData);

Get an Identity from the Signon database, creating it if it does not exist.

`IN u `id``: | the ID of the Identity in the Signon database
`OUT o `objectPath``: | the D-Bus object path for the Identity
`OUT a{sv} `identityData``: | the information associated with the Identity

### The getAuthSessionObjectPath() method

    getAuthSessionObjectPath (IN  u id,
                              IN  s type,
                              OUT s path);

Return a D-Bus object path for a newly-created AuthSession.

`IN u `id``: |
`IN s `type``: |
`OUT s `path``: |

### The queryMethods() method

    queryMethods (OUT as methods);

Query the list of all available authentication methods.

`OUT as `methods``: | an array of the available authentication methods

### The queryMechanisms() method

    queryMechanisms (IN  s  method,
                     OUT as mechanisms);

Query the list of available authentication mechanisms for a given authentication method.

`IN s `method``: | the authentication method for which to query the available mechanisms
`OUT as `mechanisms``: | an array of the available authentication mechanisms

### The queryIdentities() method

    queryIdentities (IN  a{sv}  filter,
                     OUT aa{sv} identities);

Request an array of identities which are stored in the Signon database.

`IN a{sv} `filter``: | the filter to apply to the returned identities
`OUT aa{sv} `identities``: |

### The clear() method

    clear (OUT b success);

Clear the Signon database by removing all stored identities.

`OUT b `success``: | whether the clear succeeded

### The backupStarts() method

    backupStarts (OUT y unnamed_arg0);

TODO

`OUT y `unnamed_arg0``: |

### The backupFinished() method

    backupFinished (OUT y unnamed_arg0);

TODO

`OUT y `unnamed_arg0``: |

### The restoreStarts() method

    restoreStarts (OUT y unnamed_arg0);

TODO

`OUT y `unnamed_arg0``: |

### The restoreFinished() method

    restoreFinished (OUT y unnamed_arg0);

TODO

`OUT y `unnamed_arg0``: |